## com.sun.jersey.core.spi.scanning
Class JarFileScanner

    java.lang.Object
      com.sun.jersey.core.spi.scanning.JarFileScanner

    public final class JarFileScanner

extends java.lang.Object

A utility class that scans entries in jar files.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`JarFileScanner()`

Method Summary
`static void` | `scan(java.io.File f, java.lang.String parent, ScannerListener sl)` Scan entries in a jar file.
`static void` | `scan(java.io.InputStream in, java.lang.String parent, ScannerListener sl)` Scan entries in a jar file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarFileScanner

    public JarFileScanner()

Method Detail

### scan

    public static void scan(java.io.File f,
                            java.lang.String parent,
                            ScannerListener sl)
                     throws java.io.IOException

  Scan entries in a jar file.

  An entry will be reported to the scanning listener if the entry is a child of the parent path.

  Parameters:
    `f` - the jar file.
    `parent` - the parent path.
    `sl` - the scanning lister to report jar entries.
  Throws:
    `java.io.IOException` - if an error occurred scanning the jar entries

### scan

    public static void scan(java.io.InputStream in,
                            java.lang.String parent,
                            ScannerListener sl)
                     throws java.io.IOException

  Scan entries in a jar file.

  An entry will be reported to the scanning listener if the entry is a child of the parent path.

  Parameters:
    `in` - the jar file as an input stream.
    `parent` - the parent path.
    `sl` - the scanning lister to report jar entries.
  Throws:
    `java.io.IOException` - if an error occurred scanning the jar entries

Copyright © 2017 Oracle Corporation. All Rights Reserved.